# Uses of Class
ch.qos.logback.classic.spi.ThrowableProxy

Packages that use ThrowableProxy
Package
Description
ch.qos.logback.classic.spi
Contains core classes of logback classic.

## Uses of ThrowableProxy in ch.qos.logback.classic.spi

Methods in ch.qos.logback.classic.spi with parameters of type ThrowableProxy
Modifier and Type
Method
Description
`static void`
ThrowableProxyUtil.`build(ThrowableProxy nestedTP, Throwable nestedThrowable, ThrowableProxy parentTP)`
`void`
LoggingEvent.`setThrowableProxy(ThrowableProxy tp)`
Set this event's throwable information.